# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(LWP/UserAgent.pm) perl(Storable.pm) perl(XML/Simple.pm) perl(XML/XPath.pm)
# END SourceDeps(oneline)
%define module_version 1.1b
%define module_name DBIx-XML-DataLoader
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1b
Release: alt1
Summary: >new(map=>"map.xml");
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CB/CBERNING/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
DBIx::XML::DataLoader contains a set of modules that are meant to work together.
	DBIx::XML::DataLoader.pm the core for this package
	DB.pm which contains the sql specific stuff
	MapIt.pm handles parsing the xml mapping file		
	IsDefined.pm a simple module for making sure empty data sets are defined

	dataloader uses a external map(see map instructions below) file written 
	in xml to find its instructions for handling the data contained in the 
	xml data files that will be imported. 


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README examples
%perl_vendor_privlib/D*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 1.1b-alt1
- initial import by package builder

